- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Friends

# QDomImplementation Class Reference

Search for all occurrences

## Detailed Description

Definition at line 99 of file qdom.h.

`#include <qdom.h>`

List of all members.

## Public Types
enum | InvalidDataPolicy { AcceptInvalidChars = 0, DropInvalidChars, ReturnNullNode }
## Public Member Functions
| QDomImplementation ()
| QDomImplementation (const QDomImplementation &)
| ~QDomImplementation ()
QDomImplementation & | operator= (const QDomImplementation &)
bool | operator== (const QDomImplementation &) const
bool | operator!= (const QDomImplementation &) const
bool | hasFeature (const QString &feature, const QString &version) const
QDomDocumentType | createDocumentType (const QString &qName, const QString &publicId, const QString &systemId)
QDomDocument | createDocument (const QString &nsURI, const QString &qName, const QDomDocumentType &doctype)
bool | isNull ()
## Static Public Member Functions
static InvalidDataPolicy | invalidDataPolicy ()
static void | setInvalidDataPolicy (InvalidDataPolicy policy)
## Friends
class | QDomDocument

## Member Enumeration Documentation

enum InvalidDataPolicy

Search for all occurrences

Enumerator:

  AcceptInvalidChars | Search for all occurrences
  DropInvalidChars | Search for all occurrences
  ReturnNullNode | Search for all occurrences

Definition at line 114 of file qdom.h.

    { AcceptInvalidChars = 0, DropInvalidChars, ReturnNullNode };

## Constructor & Destructor Documentation

QDomImplementation | ( |  | ) |

QDomImplementation | ( | const QDomImplementation & |  | ) |

~QDomImplementation | ( |  | ) |

## Member Function Documentation

QDomImplementation& operator= | ( | const QDomImplementation & |  | ) |

bool operator== | ( | const QDomImplementation & |  | ) | const

bool operator!= | ( | const QDomImplementation & |  | ) | const

bool hasFeature | ( | const QString & | feature,
|  | const QString & | version
| ) |  | const

Search for all occurrences

QDomDocumentType createDocumentType | ( | const QString & | qName,
|  | const QString & | publicId,
|  | const QString & | systemId
| ) |  |

Search for all occurrences

QDomDocument createDocument | ( | const QString & | nsURI,
|  | const QString & | qName,
|  | const QDomDocumentType & | doctype
| ) |  |

Search for all occurrences

static InvalidDataPolicy invalidDataPolicy | ( |  | ) | `[static]`

Search for all occurrences

static void setInvalidDataPolicy | ( | InvalidDataPolicy | policy | ) | `[static]`

Search for all occurrences

bool isNull | ( |  | ) |

Search for all occurrences

## Friends And Related Function Documentation

friend class QDomDocument `[friend]`

Search for all occurrences

Definition at line 125 of file qdom.h.

The documentation for this class was generated from the following file:

- QtXml/qdom.h

QDomImplementation QDomImplementation QDomImplementation QDomImplementation QDomImplementation QDomImplementation QDomImplementation QDomImplementation QDomImplementation QDomImplementation
QDomImplementation QDomImplementation QDomImplementation QDomImplementation QDomImplementation QDomImplementation QDomImplementation QDomImplementation QDomImplementation QDomImplementation